import { select, json, geoPath, geoMercator, csv, zoom, event  } from 'd3';

const svg = select('svg');

var w = 760;
var h = 600;

const projection = geoMercator()
								   .center([ -120, 37 ])
								   .translate([ w/2, h/2 ])
								   .scale([ w*3.3 ]);

const pathGenerator = geoPath().projection(projection);

const g = svg.append('g');

svg.call(zoom().on('zoom', () => {
  g.attr('transform', event.transform);
}));


Promise.all([
  	csv('strokeData.csv'),
  	json('https://raw.githubusercontent.com/OpenDataDE/State-zip-code-GeoJSON/master/ca_california_zip_codes_geo.min.json')
  ]).then(([csvData, geoJSONdata]) => {
  	const zipcodeNumber = csvData.reduce((accumulator, d) => {
    	accumulator[d.zipCode] = d.zipCode;
      return accumulator;
    }, {});
  
  
  	/*const zipcodeNumber = {};
  	csvData.forEach(d => {
      zipcodeNumber[d.zipCode] = d.zipCode;
    });
    */
  
  	const zipcodes = geoJSONdata;
  	g.selectAll('path')
    	.data(zipcodes.features)
      .enter().append('path')
  			.attr('class', 'zipcode')
      	.attr('d', pathGenerator)
  		.append('title')
  			.text(d => zipcodeNumber[d.properties.ZCTA5CE10]);
  
  
  

});

//csv('strokeData.csv')
	//.then(data => console.log(data));


//json('https://raw.githubusercontent.com/OpenDataDE/State-zip-code-GeoJSON/master/ca_california_zip_codes_geo.min.json')
	//.then(data => {

